Patches for aports can be sent to this list

3 3

[alpine-aports] [PATCH] testing/nodejs-stable: new aport

Jose-Luis Rivas
Details
Message ID
<20160229190942.GA6571@riseup.net>
Sender timestamp
1456772982
DKIM signature
missing
Download raw message
Patch: +50 -0
We have the LTS release on main/nodejs and the new features are being
added to the stable release which is at v5.7.0 (vs v4.3.1 for LTS).

There's a replace against nodejs so there's no conflicts when someone
tries to install them together.
---
 testing/nodejs-stable/APKBUILD | 50 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/nodejs-stable/APKBUILD

diff --git a/testing/nodejs-stable/APKBUILD b/testing/nodejs-stable/APKBUILD
new file mode 100644
index 0000000..79bd31f
--- /dev/null
+++ b/testing/nodejs-stable/APKBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Jose-Luis Rivas <ghostbar@riseup.net>
+pkgname=nodejs-stable
+pkgver=5.7.0
+pkgrel=0
+pkgdesc='Evented I/O for V8 javascript'
+url='https://nodejs.org/'
+arch='all'
+license='MIT'
+makedepends="$depends_dev python openssl-dev zlib-dev libuv-dev
+	linux-headers binutils-gold paxmark"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
+replaces="nodejs"
+_builddir="$srcdir/node-v$pkgver"
+
+prepare() {
+  local i
+  cd "$_builddir"
+  for i in $source; do
+    case "$i" in
+      *.patch) msg "$i"; patch -p1 -i "$srcdir/$i" || return 1;;
+    esac
+  done
+}
+
+build() {
+  cd "$_builddir"
+	./configure --prefix=/usr \
+		--shared-zlib \
+		--shared-libuv \
+		--shared-openssl || return 1
+	make || return 1
+}
+
+package() {
+	local d
+  cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	# paxmark so JIT works
+	paxmark -m "$pkgdir"/usr/bin/node || return 1
+
+	cp -pr "$pkgdir"/usr/lib/node_modules/npm/man "$pkgdir"/usr/share || return 1
+	for d in doc html man; do
+		rm -r "$pkgdir"/usr/lib/node_modules/npm/$d || return 1
+	done
+}
+
+md5sums="8ab282434c79bedcfd20c0b74f66e38e  node-v5.7.0.tar.gz"
+sha256sums="2338b46a2f45fbb747089c66931f62555f25a5928511d3a43bbb3a39dcded2d8  node-v5.7.0.tar.gz"
+sha512sums="82ff8d6339c0b065684f02f79bb739365eda3110f8e69e9296453eb5a63584c978d93c87d8ef2350498abaa7b16cabfa62954dce401e82730cac61d6af62f8fe  node-v5.7.0.tar.gz"
-- 
2.7.2


-- 
⨳ PGP 0x13EC43EEB9AC8C43 ⨳ https://ghostbar.co
Jose-Luis Rivas
Details
Message ID
<20160309212446.GA1396@riseup.net>
In-Reply-To
<20160309155213.GA9700@calcium.lan> (view parent)
Sender timestamp
1457558686
DKIM signature
missing
Download raw message
On 09/03/16, 04:52pm, Sören Tempel wrote:
> On 29.02.16, Jose-Luis Rivas wrote:
> > We have the LTS release on main/nodejs and the new features are being
> > added to the stable release which is at v5.7.0 (vs v4.3.1 for LTS).
> > 
> > There's a replace against nodejs so there's no conflicts when someone
> > tries to install them together.
> 
> Do we really want to maintain two different versions of nodejs?
> Personally I don't think that it is a good idea to maintain both the
> newest and the LTS version of a software in the official repositories.
> The only package that I know of where we do this currently is firefox
> and I don't think that it has worked very well in the past with firefox.
> 

They do differ quite a lot and most production units are using
nodejs-lts (the one we have already as plain nodejs) yet the newer
features are being added to nodejs-stable. While some things may fail on
nodejs-stable everything will work on nodejs-lts.

That's the reason why I see having the two versions of it would be
useful. nodejs-stable is not necessarily the newest, since lts keeps
getting updates, but not new features. (Yet, newer releases tend to be
synced between both versions)

-- 
⨳ PGP 0x13EC43EEB9AC8C43 ⨳ https://ghostbar.co
Sören Tempel
Details
Message ID
<20160309155213.GA9700@calcium.lan>
In-Reply-To
<20160229190942.GA6571@riseup.net> (view parent)
Sender timestamp
1457538733
DKIM signature
missing
Download raw message
On 29.02.16, Jose-Luis Rivas wrote:
> We have the LTS release on main/nodejs and the new features are being
> added to the stable release which is at v5.7.0 (vs v4.3.1 for LTS).
> 
> There's a replace against nodejs so there's no conflicts when someone
> tries to install them together.

Do we really want to maintain two different versions of nodejs?
Personally I don't think that it is a good idea to maintain both the
newest and the LTS version of a software in the official repositories.
The only package that I know of where we do this currently is firefox
and I don't think that it has worked very well in the past with firefox.

Sören.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20160411153254.35e8c830@ncopa-desktop.alpinelinux.org>
In-Reply-To
<20160309212446.GA1396@riseup.net> (view parent)
Sender timestamp
1460381574
DKIM signature
missing
Download raw message
On Wed, 9 Mar 2016 16:24:46 -0500
Jose-Luis Rivas <ghostbar@riseup.net> wrote:

> On 09/03/16, 04:52pm, Sören Tempel wrote:
> > On 29.02.16, Jose-Luis Rivas wrote:  
> > > We have the LTS release on main/nodejs and the new features are being
> > > added to the stable release which is at v5.7.0 (vs v4.3.1 for LTS).
> > > 
> > > There's a replace against nodejs so there's no conflicts when someone
> > > tries to install them together.  
> > 
> > Do we really want to maintain two different versions of nodejs?
> > Personally I don't think that it is a good idea to maintain both the
> > newest and the LTS version of a software in the official repositories.
> > The only package that I know of where we do this currently is firefox
> > and I don't think that it has worked very well in the past with firefox.
> >   
> 
> They do differ quite a lot and most production units are using
> nodejs-lts (the one we have already as plain nodejs) yet the newer
> features are being added to nodejs-stable. While some things may fail on
> nodejs-stable everything will work on nodejs-lts.
> 
> That's the reason why I see having the two versions of it would be
> useful. nodejs-stable is not necessarily the newest, since lts keeps
> getting updates, but not new features. (Yet, newer releases tend to be
> synced between both versions)
> 

I think I am ok with maintaining both. I wonder if we want call them
'nodejs' and 'nodejs-stable' though. If i would see those variants I
would believe that nodejs-stable would be the mode suitable for
production, while in this case the lts is what you'd want for that.

Maybe we all them nodejs4 and nodejs5?

Other ideas?

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---